
&rem KEYSYM.SML

&rem **** add entry to legend in ARCPLOTW *****************************

&rem Original version: 9/8/94  mtc
&rem Revised for 3.5:  7/23/96 mtc

&rem **** establish variable set and arguments ************************


&goto usage &if &eq "x%-1" "x"
&goto usage &if &eq "x%-1" "x/?"
&goto usage &if &eq "x%-2" "x"
&goto usage &if &eq "x%-3" "x"
&value -20 WKSP
 &goto *FALSE0000* &if &FN %-20t$legp.sml
   &type "ERROR:  SETLEG must be executed first"
   &return
 &LABEL *FALSE0000*
&save %-20t$temp 11 25
&extract -1 -1 1
 &goto *TRUE_0001* &if &EQ "x%-4" "x"
 &goto *FALSE0001* &if &NE "x%-4" "x#"
 &LABEL *TRUE_0001*
   &sv -4 NOBOX
 &goto *END__0001*
 &LABEL *FALSE0001*
   &extract -4 -4 1
 &LABEL *END__0001*
 &goto *TRUE_0003* &if &EQ "x%-5" "x"
 &goto *FALSE0003* &if &NE "x%-5" "x#"
 &LABEL *TRUE_0003*
   &sv -5 PLOTTER.LIN
 &goto *END__0003*
 &LABEL *FALSE0003*
   &extract -5 -5 1
 &LABEL *END__0003*
 &goto *FALSE0005* &if &NE %-1 MARKER
    &goto *TRUE_0006* &if &EQ "x%-6" "x"
    &goto *FALSE0006* &if &NE "x%-6" "x#"
    &LABEL *TRUE_0006*
      &sv -6 #
    &LABEL *FALSE0006*
 &LABEL *FALSE0005*

&save %-20t$temp 11 24
&r %-20t$legp.sml

&rem **** check pointer values ****************************************

 &goto *FALSE0007* &if &NR %24 0 %22
 &goto *FALSE0007* &if &NR %23 0 %21
   UNITS PAGE

   &rem **** generate graphic entry ***********************************

   &cv -7 %11 + ( ( %23 - 1 ) * %15 )
   &cv -8 %14 - ( %24 * ( %17 + %19 ) )
   &cv -9 %-7 + %16
   &cv -10 %-8 + %17
    &goto *FALSE0008* &if &NE %-1 LINE
      &cv -11 ( ( %-9 - %-7 ) / 3 ) + %-7
      &cv -12 ( 2 * ( %-9 - %-7 ) / 3 ) + %-7
      LINESYMBOL %-2
      LINE %-7 %-8 %-11 %-10 %-12 %-8 %-9 %-10
    &goto *END__0008*
    &LABEL *FALSE0008*
    &goto *FALSE0009* &if &NE %-1 MARKER
      &cv -13 ( ( %-9 - %-7 ) / 2 ) + %-7
      &cv -14 ( ( %-10 - %-8 ) / 2 ) + %-8
      MARKERSYMBOL %-2
       &goto *FALSE0010* &if &EQ "x%-6" "x#"
         MARKERSIZE %-6
       &LABEL *FALSE0010*
      MARKER %-13 %-14
    &goto *END__0008*
    &LABEL *FALSE0009*
      SHADESYMBOL %-2
      PATCH %-7 %-8 %-9 %-10
    &LABEL *END__0008*
    &goto *FALSE0012* &if &NE %-4 BOX
      LINESET PLOTTER.LIN
      LINESYMBOL 1
      BOX %-7 %-8 %-9 %-10
       &goto *FALSE0013* &if &EQ "%-5" "PLOTTER.LIN"
         LINESET %-5
       &LABEL *FALSE0013*
    &LABEL *FALSE0012*

   &rem **** generate text entry **************************************

   &cv -15 %-9 + %18
   MOVE %-15 %-8
   TEXTSET TRUETYPE.TXT
   TEXTSYMBOL 1
   TEXTSIZE %20
   TEXT '%-3'

   &rem **** set and check pointers ***********************************

    &goto *FALSE0014* &if &NE %24 %22
      &sv 24 1
      &cv 23 %23 + 1
    &goto *END__0014*
    &LABEL *FALSE0014*
      &cv 24 %24 + 1
    &LABEL *END__0014*
   &save %-20t$legp 11 24
 &goto *END__0007*
 &LABEL *FALSE0007*
   &type "ERROR: legend region full"
   & DEL %-20t$legp.sml
 &LABEL *END__0007*

&r %-20t$temp.sml
& DEL %-20t$temp.sml

&return

&label usage

&type "Usage: &r KEYSYM [type] [symbol] [text] {box} {curlin} {msize}"
&type " "
&type "          type = (LINE/MARKER/SHADE)"
&type "        symbol = legend symbol"
&type "          text = legend text"
&type "                 (must be in double quotes if contains spaces)"
&type "           box = (NOBOX/BOX) draw box around symbol"
&type "        curlin = lineset to resume after drawing box"
&type "                 (default = plotter.lin)"
&type "         msize = marker size (type = MARKER only)"
&type "                   (default = unchanged)"

&return

&rem ******************************************************************

