
&rem SETLEG.SML

&rem **** set up legend area in ARCPLOTW ******************************

&rem Original version: 9/8/94  mtc
&rem Revised for 3.5:  7/23/96 mtc


&goto usage &if &eq "x%-1" "x"
&goto usage &if &eq "x%-1" "x/?"
&goto usage &if &eq "x%-2" "x"
&goto usage &if &eq "x%-3" "x"
&goto usage &if &eq "x%-4" "x"
&value -20 WKSP
&save %-20t$temp 11 24
 &goto *FALSE0000* &if &NF %-20t$legp.sml
   & DEL %-20t$legp.sml
 &LABEL *FALSE0000*
&value 11 -1
&value 12 -2
&value 13 -3
&value 14 -4
 &goto *TRUE_0001* &if &EQ "x%-5" "x"
 &goto *FALSE0001* &if &NE "x%-5" "x#"
 &LABEL *TRUE_0001*
   &sv 15 4.0
 &goto *END__0001*
 &LABEL *FALSE0001*
   &value 15 -5
 &LABEL *END__0001*
 &goto *TRUE_0003* &if &EQ "x%-6" "x"
 &goto *FALSE0003* &if &NE "x%-6" "x#"
 &LABEL *TRUE_0003*
   &sv 16 0.5
 &goto *END__0003*
 &LABEL *FALSE0003*
   &value 16 -6
 &LABEL *END__0003*
 &goto *TRUE_0005* &if &EQ "x%-7" "x"
 &goto *FALSE0005* &if &NE "x%-7" "x#"
 &LABEL *TRUE_0005*
   &sv 17 0.167
 &goto *END__0005*
 &LABEL *FALSE0005*
   &value 17 -7
 &LABEL *END__0005*
 &goto *TRUE_0007* &if &EQ "x%-8" "x"
 &goto *FALSE0007* &if &NE "x%-8" "x#"
 &LABEL *TRUE_0007*
   &sv 18 0.1
 &goto *END__0007*
 &LABEL *FALSE0007*
   &value 18 -8
 &LABEL *END__0007*
 &goto *TRUE_0009* &if &EQ "x%-9" "x"
 &goto *FALSE0009* &if &NE "x%-9" "x#"
 &LABEL *TRUE_0009*
   &sv 19 0.167
 &goto *END__0009*
 &LABEL *FALSE0009*
   &value 19 -9
 &LABEL *END__0009*
 &goto *TRUE_0011* &if &EQ "x%-10" "x"
 &goto *FALSE0011* &if &NE "x%-10" "x#"
 &LABEL *TRUE_0011*
   &sv 20 0.15
 &goto *END__0011*
 &LABEL *FALSE0011*
   &value 20 -10
 &LABEL *END__0011*
&cv 21 ( ( %13 - %11 ) / %15 ) int
&cv 22  ( ( %14 - %12 ) / ( %17 + %19 ) ) int
&sv 23 1
&sv 24 1

&rem **** save legend parameters **************************************

 &goto *TRUE_0013* &if &EQ %21 0
 &goto *FALSE0013* &if &NE %22 0
 &LABEL *TRUE_0013*
   &type "WARNING:  legend region insufficient for entries"
 &goto *END__0013*
 &LABEL *FALSE0013*
   &save %-20t$legp 11 24
 &LABEL *END__0013*
&r %-20t$temp
& DEL %-20t$temp.sml

&return

&label usage

&type "Usage: &r SETLEG [xmin] [ymin] [xmax] [ymax] {colw} {boxw} {boxh}"
&type "                  {sept} {sepl} {tsize}"
&type " "
&type "         xmin = starting x coordinates (page units)"
&type "         ymin = starting y coordinates"
&type "         xmax = ending x coordinates"
&type "         ymax = ending y coordinates"
&type "         colw = column width"
&type "                (default = 4.0)"
&type "         boxw = keybox width"
&type "                (default = 0.5)"
&type "         boxh = keybox height"
&type "                (default = 0.167)"
&type "         sept = text separation"
&type "                (default = 0.1)"
&type "         sepl = line separation"
&type "                (default = 0.167)"
&type "        tsize = textsize"
&type "                (default = 0.15)"

&return

